#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.19
visibility:           public
id:                   hledger-lib-1.19-At3qU3QPjRXJjmuDeBtXmK
key:                  hledger-lib-1.19-At3qU3QPjRXJjmuDeBtXmK
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:
    A reusable library providing the core functionality of hledger

description:
    A reusable library containing hledger'\''s core functionality.
    This is used by most hledger* packages so that they support the same
    common file formats, command line options, reports etc.

    hledger is a robust, cross-platform set of tools for tracking money,
    time, or any other commodity, using double-entry accounting and a
    simple, editable file format, with command-line, terminal and web
    interfaces. It is a Haskell rewrite of Ledger, and one of the leading
    implementations of Plain Text Accounting. Read more at:
    <https://hledger.org>

category:             Finance
abi:                  8e9e0aa189adc9c256abb5179e2b93c8
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Commodity Hledger.Data.Dates
    Hledger.Data.Journal Hledger.Data.Json Hledger.Data.Ledger
    Hledger.Data.Period Hledger.Data.PeriodicTransaction
    Hledger.Data.Posting Hledger.Data.RawOptions
    Hledger.Data.StringFormat Hledger.Data.Timeclock
    Hledger.Data.Transaction Hledger.Data.TransactionModifier
    Hledger.Data.Types Hledger.Data.Valuation Hledger.Query
    Hledger.Read Hledger.Read.Common Hledger.Read.CsvReader
    Hledger.Read.JournalReader Hledger.Read.TimeclockReader
    Hledger.Read.TimedotReader Hledger.Reports
    Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Reports.TransactionsReport
    Hledger.Utils Hledger.Utils.Color Hledger.Utils.Debug
    Hledger.Utils.Parse Hledger.Utils.Regex Hledger.Utils.String
    Hledger.Utils.Test Hledger.Utils.Text Hledger.Utils.Tree
    Hledger.Utils.UTF8IOCompat Text.Tabular.AsciiWide

hidden-modules:       Text.Megaparsec.Custom Paths_hledger_lib
import-dirs:          /usr/lib/ghc-8.10.2/site-local/hledger-lib-1.19
library-dirs:         /usr/lib/ghc-8.10.2/site-local/hledger-lib-1.19
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/hledger-lib-1.19
hs-libraries:         HShledger-lib-1.19-At3qU3QPjRXJjmuDeBtXmK
depends:
    Decimal-0.5.1-GqEFy6jL6TR4jH3yWqKUxV
    Glob-0.10.1-28DLZgSLt241XPEUyzxCjH
    aeson-1.5.4.0-80igNVFBPru77mSGE86olG
    aeson-pretty-0.8.8-GjTEli7Ysw5AAeZLvfexpH
    ansi-terminal-0.10.3-FWKIpsi41JaH4pn6WJ9Rwp array-0.5.4.0
    base-4.14.1.0 base-compat-batteries-0.11.1-FzlR7QdoR1qEKOh6Czy2w7
    blaze-markup-0.8.2.7-LxYHHNtMMqd23FQvjJOkWQ bytestring-0.10.10.0
    call-stack-0.2.0-7vDR0Xg1qic3QrMVsRiVgV
    cassava-0.5.2.0-HVoIz5YkzlI8hLeD89wCAA
    cassava-megaparsec-2.0.2-HShpGuC2fKvCRIBVpM5YKm
    cmdargs-0.10.20-2pbK0xjyKWW1JFcGNWMDNe containers-0.6.2.1
    data-default-0.7.1.1-GFdcSZWcOtrGYRLDZh9Kk8 directory-1.3.6.0
    extra-1.7.7-J3zYdJtcVHSHaxxvPpZhnH
    fgl-5.7.0.3-H2HXIeMAuaT3aFAI3q4oY4
    file-embed-0.0.12.0-6papwjxSf3GIbANOmbA0A8 filepath-1.4.2.1
    hashtables-1.2.4.0-8hgI3PvAdCtKyBzMtjKwAa
    megaparsec-8.0.0-FE47GjqfuvTBscznzJGLcu mtl-2.2.2
    old-time-1.1.0.3-4WAXseRXxLRKCRu471UUPK parsec-3.1.14.0
    parser-combinators-1.2.1-BgKMLJR8mPH8EvrPvvjrd8
    pretty-show-1.10-KoCV1zEW9bj1zBOK0T05RL
    regex-tdfa-1.3.1.0-AFxBgVqbB6pDA5wu8Xc5xC
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    split-0.2.3.4-6n0ILVTSLJL3A3UZ84SyxP
    tabular-0.2.2.8-CBujZAWqvuoASG1Z76xmdo
    tasty-1.3.1-GJYgdqJPwANHgIOBwHEewp
    tasty-hunit-0.10.0.2-5AWF99QpjH3GoJB3m5I5gh
    template-haskell-2.16.0.0 text-1.2.3.2 time-1.9.3
    timeit-2.0-9cuf7StXLBAKHvaFJ7TqTD transformers-0.5.6.2
    uglymemo-0.1.0.1-8jnmvCxUgD63i0ga11QOlD
    unordered-containers-0.2.12.0-pZah0rMXkZH7Mr1zX4l5d
    utf8-string-1.0.1.1-G1tzxDqsWge3erFqc4Oe2R

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

